# Uses of Class
javafx.scene.control.ScrollBar

Packages that use ScrollBar
Package
Description
javafx.scene.control.skin
The javafx.scene.control.skin package is where the skin classes, typically one for each UI control, are located

## Uses of ScrollBar in javafx.scene.control.skin

Methods in javafx.scene.control.skin that return ScrollBar
Modifier and Type
Method
Description
`protected final ScrollBar`
VirtualFlow.`getHbar()`
Returns the scroll bar used for scrolling horizontally.
`final ScrollBar`
ScrollPaneSkin.`getHorizontalScrollBar()`
Returns the horizontal `ScrollBar` used in this ScrollPaneSkin instance.
`protected final ScrollBar`
VirtualFlow.`getVbar()`
Returns the scroll bar used for scrolling vertically.
`final ScrollBar`
ScrollPaneSkin.`getVerticalScrollBar()`
Returns the vertical `ScrollBar` used in this ScrollPaneSkin instance.
Constructors in javafx.scene.control.skin with parameters of type ScrollBar
Modifier
Constructor
Description
``
`ScrollBarSkin(ScrollBar control)`
Creates a new ScrollBarSkin instance, installing the necessary child nodes into the Control `children` list, as well as the necessary input mappings for handling key, mouse, etc events.